@import './../../../shared/styles/variables';

$sidebar-width: 4.333rem;

.case-view {
  display: flex;
  flex-flow: column nowrap;
  flex: 1;
  min-height: 0;
}

.case-message-list {
  display: flex;
  flex-flow: column nowrap;
  margin: 0;
  padding: 0;
  flex: 0 0 auto;
  box-shadow: 0 1px 1px rgba(0, 0, 0, .1);
  position: relative;
  z-index: 2;
}

.case-message {
  padding: 0.5rem 1rem .4rem;
  background-color: $light-yellow;
  margin-bottom: 0;
  font-size: 1em;
  display: flex;
  align-items: center;
  border-bottom: 1px solid rgba(0, 0, 0, 0.15);

}

.case-message-text {
  flex-grow: 1;
  flex-wrap: wrap;
}

.case-message-label {
  line-height: 1.7;
  justify-content: center;
}

.case-message-action-list {
  display: inline-flex;
  vertical-align: middle;
}

.case-message-action-button.btn {
  height: 2rem;
  line-height: 2rem;
  margin-left: 5px;
  padding-right: .2rem;
  padding-left: .2rem;

  &:hover {
    background: transparent;
    text-decoration: underline;
  }
}

.case-message-hide-button {
  display: flex;
  font-size: 1.4rem;
  padding: 0;
  opacity: .3;

  &:hover {
    opacity: 1;
  }
}

.case-body {
  display: flex;
  flex-direction: row;
  opacity: 1;
  transition: none;
  flex-grow: 1;
  min-height: 0;
  position: relative;
  height: 100%;
  width: 100vw;
}

.case-body.loading {
  opacity: 0;
  transition: 0.25s opacity ease-out;
}

.case-sidebar {
  display: flex;
  flex-direction: column;
  z-index: 4;
  min-height: 0;
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  top: 0;
  background: $medium-grey;
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.45);
  transition: width 150ms;
  width: $sidebar-width-expanded;

  .btn-floating {
    position: absolute;
    bottom: 1.8rem;
    height: 3rem;
    right: -1.2rem;
    border-radius: 0;
    width: 2.2rem;
  }

  &.collapsed {
    width: 0;
    box-shadow: inset -3px 0 3px -2px rgba(0, 0, 0, 0.2);

    .case-navigation-link-label {
      opacity: 0;
      display: none;
    }

    .case-navigation-link-icon {
      width: auto;
    }

    .case-sidebar-inner {
      padding: 0;
    }

    .btn-floating {
      right: -2.2rem;
    }
  }

  &.collapsed-remove .case-navigation-link-label {
    display: block;
  }

  &.ng-animate {
    .case-navigation-link-label {
      white-space: nowrap;
    }
  }
}

.case-sidebar-inner {
  flex: 1;
  overflow-y: auto;
  overflow-x: hidden;
  min-height: 0;
  padding-right: 6px;
  padding-left: 6px;
}

.case-view-container {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  height: 100%;
  position: relative;
}

.case-view-title {
  padding: .667rem 1.333rem;
  color: $grey;
}

.case-inner-view {
  background: white;
  flex-direction: column;
}

$progress-box-shadow: 0 0 20px #999;

.relation-resource-progress-modal {
  background: rgba(0, 0, 0, 0.1);

  .zs-modal-body {
    box-shadow: $progress-box-shadow;
  }

  .mdi {
    margin-right: 5px;
    color: $green;
    transition: color 1000ms;
  }

  .zs-modal-close {
    display: none;
  }
}

@media #{$medium-and-up} {
  .relation-resource-progress-modal .zs-modal-body {
    box-shadow: $progress-box-shadow;
  }
}

.relation-resource-progress {
  padding: 0 20px 20px;

  p {
    margin: 0;
  }

  ul {
    margin: 20px 0;

    > li {
      display: flex;
      align-items: center;
      /* Avoid vertical reflow when the spinner is removed. */
      min-height: 20px;
      margin: 10px 0;
    }
  }

  .relation-resource-unresolved {
    color: $grey;

    .mdi {
      color: $grey;
    }
  }

  .spinner-small {
    margin-left: 10px;
  }
}

@media #{$medium-and-up}{
  .case-inner-view {
    padding-left: #{$sidebar-width};
  }

  .case-sidebar {
    &.collapsed {
      width: #{$sidebar-width};
      .btn-floating {
        right: -1.0677rem;
      }

      .case-sidebar-inner {
        padding-right: 6px;
        padding-left: 6px;
      }
    }

    .btn-floating {
      border-radius: 100%;
      width: 2.133rem;
      height: 2.133rem;
      right: -1.0677rem;
      bottom: 2.333rem;
      left: auto;
    }
  }
}

@media #{$large-and-up} {
  .case-sidebar {
    position: relative;
    z-index: 2;
    top: auto;
    box-shadow: inset -3px 0 3px -2px rgba(0, 0, 0, 0.2);
  }

  .case-inner-view {
    padding: 0;
  }
}
